var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from "react";
import PropTypes from "prop-types";
import { ActionBar as VanillaActionBar } from "hig-vanilla";

var ActionBarGroupAdapter = function (_Component) {
  _inherits(ActionBarGroupAdapter, _Component);

  function ActionBarGroupAdapter() {
    _classCallCheck(this, ActionBarGroupAdapter);

    return _possibleConstructorReturn(this, (ActionBarGroupAdapter.__proto__ || Object.getPrototypeOf(ActionBarGroupAdapter)).apply(this, arguments));
  }

  _createClass(ActionBarGroupAdapter, [{
    key: "render",
    value: function render() {
      return React.createElement(
        "div",
        { className: VanillaActionBar.groupClassName },
        this.props.children
      );
    }
  }]);

  return ActionBarGroupAdapter;
}(Component);

export default ActionBarGroupAdapter;


ActionBarGroupAdapter.propTypes = {
  /**
   * Content of the ActionBarGroup. Typically flat IconButtons.
   */
  children: PropTypes.node
};
ActionBarGroupAdapter.__docgenInfo = {
  "description": "",
  "displayName": "ActionBarGroupAdapter",
  "props": {
    "children": {
      "type": {
        "name": "node"
      },
      "required": false,
      "description": "Content of the ActionBarGroup. Typically flat IconButtons."
    }
  }
};