var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from "react";
import PropTypes from "prop-types";
import { GlobalNav as VanillaGlobalNav } from "hig-vanilla";
import HIGAdapter, { MountedByHIGParent, MountsHIGChildList } from "../../HIGAdapter";

function TabsAdapter(props) {
  return React.createElement(
    HIGAdapter,
    _extends({
      displayName: "Tabs",
      HIGConstructor: VanillaGlobalNav._partials.SubNav._partials.Tabs
    }, props),
    function (adapterProps) {
      return React.createElement(
        "div",
        null,
        React.createElement(MountedByHIGParent, _extends({ mounter: "addTabs" }, adapterProps)),
        React.createElement(
          MountsHIGChildList,
          adapterProps,
          props.children
        )
      );
    }
  );
}

TabsAdapter.propTypes = {
  children: PropTypes.node
};

TabsAdapter.defaultProps = {
  children: undefined
};

export default TabsAdapter;
TabsAdapter.__docgenInfo = {
  "description": "",
  "displayName": "TabsAdapter",
  "props": {
    "children": {
      "type": {
        "name": "node"
      },
      "required": false,
      "description": "",
      "defaultValue": {
        "value": "undefined",
        "computed": true
      }
    }
  }
};