var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from "react";
import PropTypes from "prop-types";
import { GlobalNav as VanillaGlobalNav } from "hig-vanilla";
import HIGAdapter, { MountedByHIGParentList, MountsHIGChildList } from "../../HIGAdapter";

function GroupAdapter(props) {
  return React.createElement(
    HIGAdapter,
    _extends({}, props, {
      displayName: "Group",
      HIGConstructor: VanillaGlobalNav._partials.TopNav._partials.Help._partials.Group
    }),
    function (adapterProps) {
      return React.createElement(
        "div",
        null,
        React.createElement(
          MountedByHIGParentList,
          _extends({ mounter: "addGroup" }, adapterProps),
          props.children
        ),
        React.createElement(
          MountsHIGChildList,
          adapterProps,
          props.children
        )
      );
    }
  );
}

GroupAdapter.propTypes = {
  children: PropTypes.node
};

GroupAdapter.defaultProps = {
  children: undefined
};

export default GroupAdapter;
GroupAdapter.__docgenInfo = {
  "description": "",
  "displayName": "GroupAdapter",
  "props": {
    "children": {
      "type": {
        "name": "node"
      },
      "required": false,
      "description": "",
      "defaultValue": {
        "value": "undefined",
        "computed": true
      }
    }
  }
};