var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/* eslint-disable react/no-unused-prop-types */
import { Component } from "react";
import PropTypes from "prop-types";
import throwIfNoHIGMethod from "./throwIfNoHIGMethod";
import HIGPropTypes from "./HIGPropTypes";

var MapsEventlistener = function (_Component) {
  _inherits(MapsEventlistener, _Component);

  function MapsEventlistener(props) {
    _classCallCheck(this, MapsEventlistener);

    var _this = _possibleConstructorReturn(this, (MapsEventlistener.__proto__ || Object.getPrototypeOf(MapsEventlistener)).call(this, props));

    _this.state = {};
    return _this;
  }

  _createClass(MapsEventlistener, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.configureHandler(this.props);
    }
  }, {
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(nextProps) {
      this.configureHandler(nextProps);
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      if (this.state.dispose) {
        this.state.dispose();
      }
    }
  }, {
    key: "configureHandler",
    value: function configureHandler(props) {
      if (!props.mounted) {
        return;
      }

      if (this.state.dispose) {
        this.state.dispose();
      }

      if (!props.handler) {
        return;
      }

      throwIfNoHIGMethod(this.props, this.props.listener);
      this.setState({
        dispose: props.higInstance[props.listener](props.handler)
      });
    }
  }, {
    key: "render",
    value: function render() {
      return null;
    }
  }]);

  return MapsEventlistener;
}(Component);
/* eslint-enable react/no-unused-prop-types */


MapsEventlistener.propTypes = {
  listener: PropTypes.string.isRequired,
  handler: PropTypes.func,
  mounted: PropTypes.bool.isRequired,
  higInstance: HIGPropTypes.higInstance
};
MapsEventlistener.defaultProps = {
  handler: undefined,
  higInstance: undefined
};
export default MapsEventlistener;
MapsEventlistener.__docgenInfo = {
  "description": "",
  "displayName": "MapsEventlistener",
  "props": {
    "listener": {
      "type": {
        "name": "string"
      },
      "required": true,
      "description": ""
    },
    "handler": {
      "type": {
        "name": "func"
      },
      "required": false,
      "description": "",
      "defaultValue": {
        "value": "undefined",
        "computed": true
      }
    },
    "mounted": {
      "type": {
        "name": "bool"
      },
      "required": true,
      "description": ""
    },
    "higInstance": {
      "type": {
        "name": "custom",
        "raw": "HIGPropTypes.higInstance"
      },
      "required": false,
      "description": "",
      "defaultValue": {
        "value": "undefined",
        "computed": true
      }
    }
  }
};