var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/* eslint-disable react/no-unused-prop-types */
import { Component } from "react";
import PropTypes from "prop-types";
import HIGPropTypes from "./HIGPropTypes";

var MountedByHIGParent = function (_Component) {
  _inherits(MountedByHIGParent, _Component);

  function MountedByHIGParent() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, MountedByHIGParent);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = MountedByHIGParent.__proto__ || Object.getPrototypeOf(MountedByHIGParent)).call.apply(_ref, [this].concat(args))), _this), _this.mountToParent = function (props) {
      if (props.higParent && !props.mounted) {
        props.higParent[props.mounter](props.higInstance);
        props.onMount();
      }
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(MountedByHIGParent, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.mountToParent(this.props);
    }
  }, {
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(nextProps) {
      if (this.props.mounted && nextProps.higInstance !== this.props.higInstance) {
        this.props.higInstance.unmount();
      }
      this.mountToParent(nextProps);
    }
  }, {
    key: "render",
    value: function render() {
      return null;
    }
  }]);

  return MountedByHIGParent;
}(Component);
/* eslint-enable react/no-unused-prop-types */


MountedByHIGParent.propTypes = {
  higInstance: HIGPropTypes.higInstance,
  higParent: HIGPropTypes.higInstance,
  mounter: PropTypes.string.isRequired,
  mounted: PropTypes.bool.isRequired,
  onMount: PropTypes.func.isRequired
};
MountedByHIGParent.defaultProps = {
  higParent: undefined
};
export default MountedByHIGParent;
MountedByHIGParent.__docgenInfo = {
  "description": "",
  "displayName": "MountedByHIGParent",
  "props": {
    "higInstance": {
      "type": {
        "name": "custom",
        "raw": "HIGPropTypes.higInstance"
      },
      "required": false,
      "description": ""
    },
    "higParent": {
      "type": {
        "name": "custom",
        "raw": "HIGPropTypes.higInstance"
      },
      "required": false,
      "description": "",
      "defaultValue": {
        "value": "undefined",
        "computed": true
      }
    },
    "mounter": {
      "type": {
        "name": "string"
      },
      "required": true,
      "description": ""
    },
    "mounted": {
      "type": {
        "name": "bool"
      },
      "required": true,
      "description": ""
    },
    "onMount": {
      "type": {
        "name": "func"
      },
      "required": true,
      "description": ""
    }
  }
};