var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import { Component } from "react";
import PropTypes from "prop-types";
import HIGPropTypes from "./HIGPropTypes";

var MountsHIGChild = function (_Component) {
  _inherits(MountsHIGChild, _Component);

  function MountsHIGChild() {
    _classCallCheck(this, MountsHIGChild);

    return _possibleConstructorReturn(this, (MountsHIGChild.__proto__ || Object.getPrototypeOf(MountsHIGChild)).apply(this, arguments));
  }

  _createClass(MountsHIGChild, [{
    key: "getChildContext",
    value: function getChildContext() {
      return { higParent: this.props.higInstance };
    }
  }, {
    key: "render",
    value: function render() {
      return this.props.mounted ? this.props.children : null;
    }
  }]);

  return MountsHIGChild;
}(Component);

MountsHIGChild.propTypes = {
  children: PropTypes.node,
  higInstance: HIGPropTypes.higInstance,
  mounted: PropTypes.bool
};
MountsHIGChild.contextTypes = {
  higParent: PropTypes.object
};
MountsHIGChild.childContextTypes = {
  higParent: PropTypes.object
};
MountsHIGChild.defaultProps = {
  children: null
};
export default MountsHIGChild;
MountsHIGChild.__docgenInfo = {
  "description": "",
  "displayName": "MountsHIGChild",
  "props": {
    "children": {
      "type": {
        "name": "node"
      },
      "required": false,
      "description": "",
      "defaultValue": {
        "value": "null",
        "computed": false
      }
    },
    "higInstance": {
      "type": {
        "name": "custom",
        "raw": "HIGPropTypes.higInstance"
      },
      "required": false,
      "description": ""
    },
    "mounted": {
      "type": {
        "name": "bool"
      },
      "required": false,
      "description": ""
    }
  }
};