var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from "react";
import PropTypes from "prop-types";
import HIGPropTypes from "./HIGPropTypes";

var MountsHIGChildList = function (_Component) {
  _inherits(MountsHIGChildList, _Component);

  function MountsHIGChildList() {
    _classCallCheck(this, MountsHIGChildList);

    return _possibleConstructorReturn(this, (MountsHIGChildList.__proto__ || Object.getPrototypeOf(MountsHIGChildList)).apply(this, arguments));
  }

  _createClass(MountsHIGChildList, [{
    key: "getChildContext",
    value: function getChildContext() {
      return { higParent: this.props.higInstance };
    }
  }, {
    key: "render",
    value: function render() {
      var children = React.Children.map(this.props.children, function (child, index) {
        return child ? React.cloneElement(child, { index: index }) : null;
      });

      return this.props.mounted ? React.createElement(
        "div",
        null,
        children
      ) : null;
    }
  }]);

  return MountsHIGChildList;
}(Component);

MountsHIGChildList.propTypes = {
  children: PropTypes.node,
  higInstance: HIGPropTypes.higInstance,
  mounted: PropTypes.bool.isRequired
};
MountsHIGChildList.defaultProps = {
  children: null
};
MountsHIGChildList.childContextTypes = {
  higParent: PropTypes.object
};


export default MountsHIGChildList;
MountsHIGChildList.__docgenInfo = {
  "description": "",
  "displayName": "MountsHIGChildList",
  "props": {
    "children": {
      "type": {
        "name": "node"
      },
      "required": false,
      "description": "",
      "defaultValue": {
        "value": "null",
        "computed": false
      }
    },
    "higInstance": {
      "type": {
        "name": "custom",
        "raw": "HIGPropTypes.higInstance"
      },
      "required": false,
      "description": ""
    },
    "mounted": {
      "type": {
        "name": "bool"
      },
      "required": true,
      "description": ""
    }
  }
};