var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from "react";
import PropTypes from "prop-types";
import { Table as VanillaTable } from "hig-vanilla";

import HIGAdapter, { MountedByHIGParent, MountsHIGChildList } from "../HIGAdapter";

function TableHeadAdapter(props) {
  return React.createElement(
    HIGAdapter,
    _extends({
      displayName: "TableHead",
      HIGConstructor: VanillaTable._partials.TableHead
    }, props),
    function (adapterProps) {
      return React.createElement(
        "div",
        null,
        React.createElement(MountedByHIGParent, _extends({ mounter: "addTableHead" }, adapterProps)),
        React.createElement(
          MountsHIGChildList,
          adapterProps,
          props.children
        )
      );
    }
  );
}

TableHeadAdapter.propTypes = {
  children: PropTypes.node
};

TableHeadAdapter.defaultProps = {
  children: undefined
};

export default TableHeadAdapter;
TableHeadAdapter.__docgenInfo = {
  "description": "",
  "displayName": "TableHeadAdapter",
  "props": {
    "children": {
      "type": {
        "name": "node"
      },
      "required": false,
      "description": "",
      "defaultValue": {
        "value": "undefined",
        "computed": true
      }
    }
  }
};