var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from "react";
import PropTypes from "prop-types";
import { colors } from "hig-vanilla";

import Checkbox from "../../../adapters/FormElements/CheckboxAdapter";

var HeaderCheckbox = function (_React$Component) {
  _inherits(HeaderCheckbox, _React$Component);

  function HeaderCheckbox(props) {
    _classCallCheck(this, HeaderCheckbox);

    var _this = _possibleConstructorReturn(this, (HeaderCheckbox.__proto__ || Object.getPrototypeOf(HeaderCheckbox)).call(this, props));

    _this.state = {};
    _this.initialProps = props;
    return _this;
  }

  _createClass(HeaderCheckbox, [{
    key: "render",
    value: function render() {
      var styleProps = {
        position: "absolute",
        background: colors["hig-white"],
        top: "0",
        right: "0",
        left: "0",
        bottom: "-1px",
        width: "50px",
        display: "flex",
        flexDirection: "column",
        justifyContent: "center"
      };
      return React.createElement(
        "div",
        { style: styleProps },
        React.createElement(Checkbox, {
          checked: this.props.selected,
          onChange: this.props.onSelectAllSelectionChange
        })
      );
    }
  }]);

  return HeaderCheckbox;
}(React.Component);

HeaderCheckbox.propTypes = {
  selected: PropTypes.bool,
  onSelectAllSelectionChange: PropTypes.func
};


export default HeaderCheckbox;
HeaderCheckbox.__docgenInfo = {
  "description": "",
  "displayName": "HeaderCheckbox",
  "props": {
    "selected": {
      "type": {
        "name": "bool"
      },
      "required": false,
      "description": ""
    },
    "onSelectAllSelectionChange": {
      "type": {
        "name": "func"
      },
      "required": false,
      "description": ""
    }
  }
};