var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from "react";
import PropTypes from "prop-types";
import { colors } from "hig-vanilla";

import Checkbox from "../../../adapters/FormElements/CheckboxAdapter";

var RowCheckbox = function (_React$Component) {
  _inherits(RowCheckbox, _React$Component);

  function RowCheckbox(props) {
    _classCallCheck(this, RowCheckbox);

    var _this = _possibleConstructorReturn(this, (RowCheckbox.__proto__ || Object.getPrototypeOf(RowCheckbox)).call(this, props));

    _this.onChange = function (event) {
      _this.props.onChange({ id: _this.props.id, selected: event.target.checked });
    };

    _this.state = {};
    return _this;
  }

  _createClass(RowCheckbox, [{
    key: "render",
    value: function render() {
      var styleProps = {
        position: "absolute",
        background: colors["hig-white"],
        top: "0",
        right: "0",
        left: "0",
        bottom: "-1px",
        display: "flex",
        flexDirection: "column",
        justifyContent: "center"
      };

      return React.createElement(
        "div",
        { style: styleProps },
        React.createElement(Checkbox, { onChange: this.onChange, checked: this.props.selected })
      );
    }
  }]);

  return RowCheckbox;
}(React.Component);

RowCheckbox.propTypes = {
  selected: PropTypes.bool,
  onChange: PropTypes.func
};


export default RowCheckbox;
RowCheckbox.__docgenInfo = {
  "description": "",
  "displayName": "RowCheckbox",
  "props": {
    "selected": {
      "type": {
        "name": "bool"
      },
      "required": false,
      "description": ""
    },
    "onChange": {
      "type": {
        "name": "func"
      },
      "required": false,
      "description": ""
    }
  }
};