var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from "react";
import PropTypes from "prop-types";

var PlaceholderTab = function (_React$Component) {
  _inherits(PlaceholderTab, _React$Component);

  function PlaceholderTab(props) {
    _classCallCheck(this, PlaceholderTab);

    var _this = _possibleConstructorReturn(this, (PlaceholderTab.__proto__ || Object.getPrototypeOf(PlaceholderTab)).call(this, props));

    _this.state = {
      activeTabId: undefined,
      active: props.active
    };
    return _this;
  }

  _createClass(PlaceholderTab, [{
    key: "render",
    value: function render() {
      return null;
    }
  }]);

  return PlaceholderTab;
}(React.Component);

export default PlaceholderTab;


PlaceholderTab.propTypes = {
  /**
   * When true, tabs content will be shown
   */
  active: PropTypes.bool
};

PlaceholderTab.defaultProps = {
  active: false
};
PlaceholderTab.__docgenInfo = {
  "description": "",
  "displayName": "PlaceholderTab",
  "props": {
    "active": {
      "type": {
        "name": "bool"
      },
      "required": false,
      "description": "When true, tabs content will be shown",
      "defaultValue": {
        "value": "false",
        "computed": false
      }
    }
  }
};