var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from "react";
import PropTypes from "prop-types";
import { ContainerViewRight as ContainerViewRightVanilla } from "hig-vanilla";
import HIGAdapter, { MapsPropToMethod, MountsAnyChild } from "./HIGAdapter";

var ContainerViewRightAdapter = function (_Component) {
  _inherits(ContainerViewRightAdapter, _Component);

  function ContainerViewRightAdapter() {
    _classCallCheck(this, ContainerViewRightAdapter);

    return _possibleConstructorReturn(this, (ContainerViewRightAdapter.__proto__ || Object.getPrototypeOf(ContainerViewRightAdapter)).apply(this, arguments));
  }

  _createClass(ContainerViewRightAdapter, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      return React.createElement(
        HIGAdapter,
        _extends({}, this.props, {
          displayName: "ContainerViewRight",
          HIGConstructor: ContainerViewRightVanilla
        }),
        function (adapterProps) {
          return React.createElement(
            "div",
            null,
            React.createElement(
              MapsPropToMethod,
              _extends({ value: _this2.props.open }, adapterProps),
              function (instance, value) {
                return value ? instance.open() : instance.close();
              }
            ),
            React.createElement(
              MountsAnyChild,
              _extends({ mounter: "addSlot" }, adapterProps),
              _this2.props.children
            )
          );
        }
      );
    }
  }]);

  return ContainerViewRightAdapter;
}(Component);

export default ContainerViewRightAdapter;


ContainerViewRightAdapter.propTypes = {
  /**
   * Sets whether container is open
   */
  open: PropTypes.bool,
  /**
   * Content that is inside the container
   */
  children: PropTypes.node
};
ContainerViewRightAdapter.__docgenInfo = {
  "description": "",
  "displayName": "ContainerViewRightAdapter",
  "props": {
    "open": {
      "type": {
        "name": "bool"
      },
      "required": false,
      "description": "Sets whether container is open"
    },
    "children": {
      "type": {
        "name": "node"
      },
      "required": false,
      "description": "Content that is inside the container"
    }
  }
};