var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from "react";
import { ExpandingFilterSection as VanillaExpandingFilterSection } from "hig-vanilla";
import HIGAdapter, { MapsPropToMethod, MapsEventListener, MountsAnyChild } from "./HIGAdapter";

function ExpandingFilterSectionAdapter(props) {
  return React.createElement(
    HIGAdapter,
    _extends({
      displayName: "ExpandingFilterSection",
      HIGConstructor: VanillaExpandingFilterSection
    }, props),
    function (adapterProps) {
      return React.createElement(
        "div",
        null,
        React.createElement(MapsPropToMethod, _extends({
          value: props.size,
          setter: "setSize"
        }, adapterProps)),
        React.createElement(
          MapsPropToMethod,
          _extends({ value: props.open }, adapterProps),
          function (instance, value) {
            return value ? instance.open() : instance.close();
          }
        ),
        React.createElement(MapsPropToMethod, _extends({
          value: props.label,
          setter: "setLabel"
        }, adapterProps)),
        React.createElement(MapsEventListener, _extends({
          listener: "onClick",
          handler: props.onClick
        }, adapterProps)),
        React.createElement(
          MountsAnyChild,
          _extends({ mounter: "addSlot" }, adapterProps),
          props.children
        )
      );
    }
  );
}

export default ExpandingFilterSectionAdapter;
ExpandingFilterSectionAdapter.__docgenInfo = {
  "description": "",
  "displayName": "ExpandingFilterSectionAdapter"
};