var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from "react";
import { GlobalNav as VanillaGlobalNav } from "hig-vanilla";
import HIGAdapter, { MountedByHIGParent } from "../../HIGAdapter";

function SideNavSkeletonAdapter(props) {
  return React.createElement(
    HIGAdapter,
    _extends({
      displayName: "SideNavSkeleton",
      HIGConstructor: VanillaGlobalNav._partials.SideNav._partials.SideNavSkeleton
    }, props),
    function (adapterProps) {
      return React.createElement(
        "div",
        null,
        React.createElement(MountedByHIGParent, _extends({ mounter: "addContent" }, adapterProps))
      );
    }
  );
}

SideNavSkeletonAdapter.propTypes = {};

SideNavSkeletonAdapter.defaultProps = {};

export default SideNavSkeletonAdapter;
SideNavSkeletonAdapter.__docgenInfo = {
  "description": "",
  "displayName": "SideNavSkeletonAdapter"
};