function higInstance(props, propName) {
  var componentName = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "ANONYMOUS";

  if (props[propName]) {
    var value = props[propName];
    if (!value || value._interface === undefined) {
      return new Error(propName + " in " + componentName + " is not an instance of a vanilla HIG component");
    }
  }

  // assume all ok
  return null;
}

export default {
  higInstance: higInstance
};