var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/* eslint-disable react/no-unused-prop-types */
import { PureComponent } from "react";
import PropTypes from "prop-types";
import HIGPropTypes from "./HIGPropTypes";

var MountedByHIGParentList = function (_PureComponent) {
  _inherits(MountedByHIGParentList, _PureComponent);

  function MountedByHIGParentList() {
    _classCallCheck(this, MountedByHIGParentList);

    return _possibleConstructorReturn(this, (MountedByHIGParentList.__proto__ || Object.getPrototypeOf(MountedByHIGParentList)).apply(this, arguments));
  }

  _createClass(MountedByHIGParentList, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.mountToParentList(this.props);
    }
  }, {
    key: "componentWillUpdate",
    value: function componentWillUpdate(nextProps) {
      this.mountToParentList(nextProps);
    }
  }, {
    key: "mountToParentList",
    value: function mountToParentList(props) {
      if (!props.higParent) {
        return;
      }

      props.higParent[props.mounter](props.higInstance);
      this.props.onMount();
    }
  }, {
    key: "render",
    value: function render() {
      return null;
    }
  }]);

  return MountedByHIGParentList;
}(PureComponent);
/* eslint-enable react/no-unused-prop-types */


MountedByHIGParentList.propTypes = {
  higInstance: HIGPropTypes.higInstance,
  higParent: HIGPropTypes.higInstance,
  mounter: PropTypes.string.isRequired,
  onMount: PropTypes.func.isRequired
};
MountedByHIGParentList.defaultProps = {
  higParent: undefined
};
export default MountedByHIGParentList;
MountedByHIGParentList.__docgenInfo = {
  "description": "",
  "displayName": "MountedByHIGParentList",
  "props": {
    "higInstance": {
      "type": {
        "name": "custom",
        "raw": "HIGPropTypes.higInstance"
      },
      "required": false,
      "description": ""
    },
    "higParent": {
      "type": {
        "name": "custom",
        "raw": "HIGPropTypes.higInstance"
      },
      "required": false,
      "description": "",
      "defaultValue": {
        "value": "undefined",
        "computed": true
      }
    },
    "mounter": {
      "type": {
        "name": "string"
      },
      "required": true,
      "description": ""
    },
    "onMount": {
      "type": {
        "name": "func"
      },
      "required": true,
      "description": ""
    }
  }
};