var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/* eslint-disable react/no-unused-prop-types */
import React, { Component } from "react";
import PropTypes from "prop-types";
import HIGPropTypes from "./HIGPropTypes";

var MountsAnyChild = function (_Component) {
  _inherits(MountsAnyChild, _Component);

  function MountsAnyChild(props) {
    _classCallCheck(this, MountsAnyChild);

    var _this = _possibleConstructorReturn(this, (MountsAnyChild.__proto__ || Object.getPrototypeOf(MountsAnyChild)).call(this, props));

    _this.setEl = function (el) {
      _this.el = el;
    };

    _this.state = {};
    return _this;
  }

  _createClass(MountsAnyChild, [{
    key: "getChildContext",
    value: function getChildContext() {
      return { higParent: null };
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      this.passChildren(this.props);
    }
  }, {
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(nextProps) {
      this.passChildren(nextProps);
    }
  }, {
    key: "passChildren",
    value: function passChildren(props) {
      if (props.mounted && this.el) {
        props.higInstance[props.mounter](this.el);
      }
    }
  }, {
    key: "render",
    value: function render() {
      var children = this.props.children;

      if (children === undefined || children.length !== undefined && children.length === 0) {
        children = null;
      }

      return React.createElement(
        "div",
        { ref: this.setEl },
        children
      );
    }
  }]);

  return MountsAnyChild;
}(Component);
/* eslint-enable react/no-unused-prop-types */


MountsAnyChild.propTypes = {
  children: PropTypes.node,
  higInstance: HIGPropTypes.higInstance,
  mounted: PropTypes.bool.isRequired,
  mounter: PropTypes.string.isRequired
};
MountsAnyChild.defaultProps = {
  children: undefined,
  higInstance: undefined
};
MountsAnyChild.childContextTypes = {
  higParent: PropTypes.object
};
export default MountsAnyChild;
MountsAnyChild.__docgenInfo = {
  "description": "",
  "displayName": "MountsAnyChild",
  "props": {
    "children": {
      "type": {
        "name": "node"
      },
      "required": false,
      "description": "",
      "defaultValue": {
        "value": "undefined",
        "computed": true
      }
    },
    "higInstance": {
      "type": {
        "name": "custom",
        "raw": "HIGPropTypes.higInstance"
      },
      "required": false,
      "description": "",
      "defaultValue": {
        "value": "undefined",
        "computed": true
      }
    },
    "mounted": {
      "type": {
        "name": "bool"
      },
      "required": true,
      "description": ""
    },
    "mounter": {
      "type": {
        "name": "string"
      },
      "required": true,
      "description": ""
    }
  }
};