var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from "react";
import PropTypes from "prop-types";
import { Image as VanillaImage } from "hig-vanilla";

var ImageAdapter = function (_Component) {
  _inherits(ImageAdapter, _Component);

  function ImageAdapter() {
    _classCallCheck(this, ImageAdapter);

    return _possibleConstructorReturn(this, (ImageAdapter.__proto__ || Object.getPrototypeOf(ImageAdapter)).apply(this, arguments));
  }

  _createClass(ImageAdapter, [{
    key: "render",
    value: function render() {
      return React.createElement("img", _extends({
        className: VanillaImage.className,
        src: this.props.src,
        alt: this.props.alt
      }, this.props));
    }
  }]);

  return ImageAdapter;
}(Component);

export default ImageAdapter;


ImageAdapter.propTypes = {
  /**
   * Path to image
   */
  src: PropTypes.string
};
ImageAdapter.__docgenInfo = {
  "description": "",
  "displayName": "ImageAdapter",
  "props": {
    "src": {
      "type": {
        "name": "string"
      },
      "required": false,
      "description": "Path to image"
    }
  }
};