var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from "react";
import PropTypes from "prop-types";

import { SectionLabel as VanillaSectionLabel } from "hig-vanilla";
import HIGAdapter, { MapsPropToMethod, MountsAnyChild } from "./HIGAdapter";

var SectionLabelAdapter = function (_Component) {
  _inherits(SectionLabelAdapter, _Component);

  function SectionLabelAdapter() {
    _classCallCheck(this, SectionLabelAdapter);

    return _possibleConstructorReturn(this, (SectionLabelAdapter.__proto__ || Object.getPrototypeOf(SectionLabelAdapter)).apply(this, arguments));
  }

  _createClass(SectionLabelAdapter, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      return React.createElement(
        HIGAdapter,
        _extends({
          displayName: "SectionLabel",
          HIGConstructor: VanillaSectionLabel
        }, this.props),
        function (adapterProps) {
          return React.createElement(
            "div",
            null,
            React.createElement(MapsPropToMethod, _extends({
              value: _this2.props.label,
              setter: "setLabel"
            }, adapterProps)),
            React.createElement(
              MountsAnyChild,
              _extends({ mounter: "addSlot" }, adapterProps),
              _this2.props.children
            )
          );
        }
      );
    }
  }]);

  return SectionLabelAdapter;
}(Component);

export default SectionLabelAdapter;


SectionLabelAdapter.propTypes = {
  /**
   * Label text
   */
  label: PropTypes.string.isRequired,
  /**
   * Content inside the container
   */
  children: PropTypes.node
};
SectionLabelAdapter.__docgenInfo = {
  "description": "",
  "displayName": "SectionLabelAdapter",
  "props": {
    "label": {
      "type": {
        "name": "string"
      },
      "required": true,
      "description": "Label text"
    },
    "children": {
      "type": {
        "name": "node"
      },
      "required": false,
      "description": "Content inside the container"
    }
  }
};