var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from "react";
import { Tabs } from "hig-vanilla";
import HIGAdaper, { MountedByHIGParentList, MapsPropToMethod, MapsEventListener } from "../HIGAdapter";

function TabAdapter(props) {
  return React.createElement(
    HIGAdaper,
    _extends({}, props, { displayName: "Tab", HIGConstructor: Tabs._partials.Tab }),
    function (adapterProps) {
      return React.createElement(
        "div",
        null,
        React.createElement(MountedByHIGParentList, _extends({ mounter: "addTab" }, adapterProps)),
        React.createElement(MapsEventListener, _extends({
          listener: "onClick",
          handler: props.onClick
        }, adapterProps)),
        React.createElement(MapsPropToMethod, _extends({
          value: props.label,
          setter: "setLabel"
        }, adapterProps)),
        React.createElement(
          MapsPropToMethod,
          _extends({ value: props.active }, adapterProps),
          function (instance, value) {
            return value ? instance.activate() : instance.deactivate();
          }
        )
      );
    }
  );
}

export default TabAdapter;
TabAdapter.__docgenInfo = {
  "description": "",
  "displayName": "TabAdapter"
};