var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from "react";
import PropTypes from "prop-types";
import { Tabs } from "hig-vanilla";
import HIGAdaper, { MountsHIGChildList, MapsPropToMethod } from "../HIGAdapter";

export default function TabsAdapter(props) {
  return React.createElement(
    HIGAdaper,
    _extends({}, props, { displayName: "Tabs", HIGConstructor: Tabs }),
    function (adapterProps) {
      return React.createElement(
        "div",
        null,
        React.createElement(MapsPropToMethod, _extends({
          setter: "setAlignment",
          value: props.align
        }, adapterProps)),
        React.createElement(
          MountsHIGChildList,
          adapterProps,
          props.children
        )
      );
    }
  );
}

TabsAdapter.propTypes = {
  align: PropTypes.oneOf(Tabs.AvailableAlignments)
};

TabsAdapter.defaultProps = {
  align: "center"
};
TabsAdapter.__docgenInfo = {
  "description": "",
  "displayName": "TabsAdapter",
  "props": {
    "align": {
      "type": {
        "name": "enum",
        "computed": true,
        "value": "Tabs.AvailableAlignments"
      },
      "required": false,
      "description": "",
      "defaultValue": {
        "value": "\"center\"",
        "computed": false
      }
    }
  }
};